//******************************************************************//
// Audio LinearPCM 32KHz 
//
//******************************************************************//

//******************************************************************//
// DIGITAL AUDIO STREAM information , IEC 60958-3 
//******************************************************************//

// 48KHz 24-bit LPCM audio
`define DEF_AUDIO_RATE 32000

// LCPM channel status
`define DEF_AUDIO_CHS  192'h0_0b_03_01_40_04 /* 32KHz 24-bit LPCM audio */

// CLOCK GENERATION
`define DEF_FS128       (`DEF_AUDIO_RATE*128)

// CLOCK REGENERATION 
`define DEF_ACLOCK_N    (`DEF_FS128/1000)
`define DEF_ACLOCK_CTS  (`DEF_TMDS_CLOCK/1000)

// sampling event cycle
//`define DEF_TIMER_ADD   (4)
`define DEF_TIMER_LIMIT (`DEF_TMDS_CLOCK*`DEF_TIMER_ADD/`DEF_AUDIO_RATE)
