//******************************************************************//
// Audio LinearPCM 48KHz 
//
//******************************************************************//

//******************************************************************//
// DIGITAL AUDIO STREAM information , IEC 60958-3 
//******************************************************************//

// 48KHz 24-bit LPCM audio
`define DEF_AUDIO_RATE 48000

// LCPM channel status
`define DEF_AUDIO_CHS   192'h0_db_02_01_40_04 /* 48KHz 24-bit LPCM audio */
//`define DEF_AUDIO_CHS   192'h0_db_02_01_05_04 /* 48KHz 24-bit LPCM audio , Synth */

//192'h0_cb_02_01_40_04; // 48KHz 16-bit LPCM audio , 243WG OK
//192'h0_db_02_08_40_04; // 48KHz 24-bit LPCM audio , OK
//192'h0_0b_02_00_40_04; // 48KHz 24-bit LPCM audio , regza OK

//2'b00,	// [41:40] CGMS-A : copy free
//4'b1101,	// [39:36] original sampling frequency
//4'b1011,	// [35:32] audio samplng length
//2'b00,
//2'b00,	// [29:28] cleock accuracy
//4'b0010,	// [27:24] sampling frequency
//
//4'b0000,	// [23:20] channel number *
//4'b0001,	// [19:16] souece number
//
//8'b01000000, // [15:8] Catecory code : used by another standard
//
//2'b00,		// [7:6] Mode 0.
//3'b000,		// [5:3] 2 audio channels without pre-emphasis.
//1'b1, 		// [2] Software for witch no copyright is asserted.
//1'b0,		// [1] Audio sample word represents linear PCM samples
//1'b0		// [0] Consumer user of channels status block

// CLOCK GENERATION
`define DEF_FS128       (`DEF_AUDIO_RATE*128)

// CLOCK REGENERATION 
`define DEF_ACLOCK_N    (`DEF_FS128/1000)
`define DEF_ACLOCK_CTS  (`DEF_TMDS_CLOCK/1000)

// sampling event cycle
//`define DEF_TIMER_ADD   (4)
`define DEF_TIMER_LIMIT (`DEF_TMDS_CLOCK*`DEF_TIMER_ADD/`DEF_AUDIO_RATE)

